From: Sasha Levin <sashal@kernel.org>
To: linux-kernel@vger.kernel.org, stable@vger.kernel.org
Cc: Zhao Gongyi <zhaogongyi@huawei.com>,
Shuah Khan <skhan@linuxfoundation.org>,
Sasha Levin <sashal@kernel.org>,
shuah@kernel.org, linux-kselftest@vger.kernel.org
Subject: [PATCH AUTOSEL 4.19 11/11] selftests/cpu-hotplug: Use return instead of exit
Date: Tue, 11 Oct 2022 10:53:58 -0400 [thread overview]
Message-ID: <20221011145358.1624959-11-sashal@kernel.org> (raw)
In-Reply-To: <20221011145358.1624959-1-sashal@kernel.org>
From: Zhao Gongyi <zhaogongyi@huawei.com>
[ Upstream commit 972cf4ce51ef5532d56822af17defb148aac0ccb ]
Some cpus will be left in offline state when online
function exits in some error conditions. Use return
instead of exit to fix it.
Signed-off-by: Zhao Gongyi <zhaogongyi@huawei.com>
Signed-off-by: Shuah Khan <skhan@linuxfoundation.org>
Signed-off-by: Sasha Levin <sashal@kernel.org>
---
.../selftests/cpu-hotplug/cpu-on-off-test.sh | 13 ++++++++-----
1 file changed, 8 insertions(+), 5 deletions(-)
diff --git a/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh b/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh
index 0d26b5e3f966..940b68c940bb 100755
--- a/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh
+++ b/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh
@@ -4,6 +4,7 @@
SYSFS=
# Kselftest framework requirement - SKIP code is 4.
ksft_skip=4
+retval=0
prerequisite()
{
@@ -102,10 +103,10 @@ online_cpu_expect_success()
if ! online_cpu $cpu; then
echo $FUNCNAME $cpu: unexpected fail >&2
- exit 1
+ retval=1
elif ! cpu_is_online $cpu; then
echo $FUNCNAME $cpu: unexpected offline >&2
- exit 1
+ retval=1
fi
}
@@ -128,10 +129,10 @@ offline_cpu_expect_success()
if ! offline_cpu $cpu; then
echo $FUNCNAME $cpu: unexpected fail >&2
- exit 1
+ retval=1
elif ! cpu_is_offline $cpu; then
echo $FUNCNAME $cpu: unexpected offline >&2
- exit 1
+ retval=1
fi
}
@@ -201,7 +202,7 @@ if [ $allcpus -eq 0 ]; then
offline_cpu_expect_success $present_max
online_cpu $present_max
fi
- exit 0
+ exit $retval
else
echo "Full scope test: all hotplug cpus"
echo -e "\t online all offline cpus"
@@ -291,3 +292,5 @@ done
echo 0 > $NOTIFIER_ERR_INJECT_DIR/actions/CPU_DOWN_PREPARE/error
/sbin/modprobe -q -r cpu-notifier-error-inject
+
+exit $retval
--
2.35.1
prev parent reply other threads:[~2022-10-11 15:00 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-10-11 14:53 [PATCH AUTOSEL 4.19 01/11] ARM: dts: imx7d-sdb: config the max pressure for tsc2046 Sasha Levin
2022-10-11 14:53 ` Sasha Levin
2022-10-11 14:53 ` [PATCH AUTOSEL 4.19 02/11] soc: mediatek: Let PMIC Wrapper and SCPSYS depend on OF Sasha Levin
2022-10-11 14:53 ` Sasha Levin
2022-10-11 14:53 ` [PATCH AUTOSEL 4.19 03/11] ARM: dts: imx6q: add missing properties for sram Sasha Levin
2022-10-11 14:53 ` Sasha Levin
2022-10-11 14:53 ` [PATCH AUTOSEL 4.19 04/11] ARM: dts: imx6dl: " Sasha Levin
2022-10-11 14:53 ` Sasha Levin
2022-10-11 14:53 ` [PATCH AUTOSEL 4.19 05/11] ARM: dts: imx6qp: " Sasha Levin
2022-10-11 14:53 ` Sasha Levin
2022-10-11 14:53 ` [PATCH AUTOSEL 4.19 06/11] ARM: dts: imx6sl: " Sasha Levin
2022-10-11 14:53 ` Sasha Levin
2022-10-11 14:53 ` [PATCH AUTOSEL 4.19 07/11] ARM: dts: imx6sll: " Sasha Levin
2022-10-11 14:53 ` Sasha Levin
2022-10-11 14:53 ` [PATCH AUTOSEL 4.19 08/11] ARM: dts: imx6sx: " Sasha Levin
2022-10-11 14:53 ` Sasha Levin
2022-10-11 14:53 ` [PATCH AUTOSEL 4.19 09/11] ARM: orion: fix include path Sasha Levin
2022-10-11 14:53 ` Sasha Levin
2022-10-11 14:53 ` [PATCH AUTOSEL 4.19 10/11] arm64: dts: uniphier: Add USB-device support for PXs3 reference board Sasha Levin
2022-10-11 14:53 ` Sasha Levin
2022-10-17 11:23 ` Pavel Machek
2022-10-17 11:23 ` Pavel Machek
2022-10-21 6:29 ` Arnd Bergmann
2022-10-21 6:29 ` Arnd Bergmann
2022-10-21 6:54 ` Greg KH
2022-10-21 6:54 ` Greg KH
2022-10-21 8:13 ` Kunihiko Hayashi
2022-10-21 8:13 ` Kunihiko Hayashi
2022-10-11 14:53 ` Sasha Levin [this message]
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20221011145358.1624959-11-sashal@kernel.org \
--to=sashal@kernel.org \
--cc=linux-kernel@vger.kernel.org \
--cc=linux-kselftest@vger.kernel.org \
--cc=shuah@kernel.org \
--cc=skhan@linuxfoundation.org \
--cc=stable@vger.kernel.org \
--cc=zhaogongyi@huawei.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.